Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://sandbox-remote-api.rayda.co/api/v2/client/transactions/{tx_ref}/verify \ --header 'Authorization: Bearer <token>'
{ "success": true, "message": "Transaction verified successfully", "data": { "tx_ref": "tx_ref_r_679e5fef0f3d2", "payment_method": "Card", "amount": "5050", "insurance": "252.5", "gateway_fee": "165.015", "onboarding_fee": "198", "device_config_fee": "0", "platform_fee": "0", "total_amount": "5665.515", "currency": "GBP", "status": "Fulfilled" } }
Use this endpoint to verify a transaction after payment has been completed.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Transaction verified successfully
true
"Transaction verified successfully"
Show child attributes